### Method

# Ide RunManager get_build_target

#### Declaration

    IdeBuildTarget*
    ide_run_manager_get_build_target (
      IdeRunManager* self
    )

#### Description

Gets the build target that will be executed by the run manager which was either specified to `ide_run_manager_run_async()` or determined by the build system.

Available since: | 3.32

Gets property | `Ide.RunManager:build-target`

#### Return value

Returns: | `IdeBuildTarget`
| An `IdeBuildTarget` or `NULL` if no build target has been set.
| The data is owned by the instance.